Package com.avaya.clientservices.agent

## Class AgentSkill

- java.lang.Object
- - com.avaya.clientservices.agent.AgentSkill

-     public class AgentSkill
      extends java.lang.Object

  Represents agent's skill information.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentSkill​(int mSkillId)` | Constructor to create a skill stub.
    `AgentSkill​(int mSkillId, int mSkillLevel)` | Constructor to create a skill stub.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getId()` | Returns an integer skill Id that represents a skill that the agent is provisioned for.
    `int` | `getSkillLevel()` | Returns the level number.
    `boolean` | `isActive()` | Returns a boolean flag indicating whether the agent was successfully able to log into the skill represented by the id or not.
    `boolean` | `isSuperVisorAssistanceAvailable()` | Returns a boolean flag indicating whether the supervisor assistance for an agent is available for the skill represented by the id or not.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentSkill

          public AgentSkill​(int mSkillId)

      Constructor to create a skill stub.
      This constructor must be used to create a new skill object before calling the AgentService.RemoveSkill method. Skill level will be set to 0.
      Parameters:
        `mSkillId` - The skill number.

    - #### AgentSkill

          public AgentSkill​(int mSkillId,
                            int mSkillLevel)

      Constructor to create a skill stub.
      This constructor must be used to create a new skill object before calling the AgentService.AddSkill method.
      Parameters:
        `mSkillId` - The skill number.
        `mSkillLevel` - The level number for the skill.

  - ### Method Detail

    - #### getId

          public int getId()

      Returns an integer skill Id that represents a skill that the agent is provisioned for.
      Returns:
        an integer skill Id

    - #### getSkillLevel

          public int getSkillLevel()

      Returns the level number. The valid range is 0 to 16. The server doesn't provide the level number, so csdk fills it as 0 by default. When the Skill is created by client and will be used for Add/Remove skill request: 1-16 mean that the skill is being added, 0 means that the skill is being removed and doesn't need a skill level input.
      Returns:
        the level number.

    - #### isActive

          public boolean isActive()

      Returns a boolean flag indicating whether the agent was successfully able to log into the skill represented by the id or not.
      Returns:
        whether the agent was nuccessfully able to log into the skill represented by the id or not.

    - #### isSuperVisorAssistanceAvailable

          public boolean isSuperVisorAssistanceAvailable()

      Returns a boolean flag indicating whether the supervisor assistance for an agent is available for the skill represented by the id or not.
      Returns:
        whether the supervisor assistance for an agent is available for the skill represented by the id or not.